| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::FontTranslator Struct Reference

[font_translator] More...

`#include <OgreOverlayTranslator.h>`

Inheritance diagram for Ogre::FontTranslator:
[legend]

## Public Member Functions
void | parseAttribute (ScriptCompiler *compiler, FontPtr &pFont, PropertyAbstractNode *prop)
void | translate (ScriptCompiler *compiler, const AbstractNodePtr &node)
| This function translates the given node into Ogre resource(s). More...

## Detailed Description

[font_translator]

## Member Function Documentation

## ◆ translate()

void Ogre::FontTranslator::translate | ( | ScriptCompiler * | compiler,
|  | const AbstractNodePtr & | node
| ) |  |
| virtual

This function translates the given node into Ogre resource(s).

Parameters

  compiler | The compiler invoking this translator
  node | The current AST node to be translated

Implements Ogre::ScriptTranslator.

## ◆ parseAttribute()

void Ogre::FontTranslator::parseAttribute | ( | ScriptCompiler * | compiler,
|  | FontPtr & | pFont,
|  | PropertyAbstractNode * | prop
| ) |  |

The documentation for this struct was generated from the following file:

- OgreOverlayTranslator.h